JPAKEPrimeOrderGroups (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.agreement.jpake

## Class JPAKEPrimeOrderGroups

- java.lang.Object
- - org.bouncycastle.crypto.agreement.jpake.JPAKEPrimeOrderGroups

-     public class JPAKEPrimeOrderGroups
      extends java.lang.Object

  Standard pre-computed prime order groups for use by J-PAKE. (J-PAKE can use pre-computed prime order groups, same as DSA and Diffie-Hellman.)

  This class contains some convenient constants for use as input for constructing `JPAKEParticipant`s.

  The prime order groups below are taken from Sun's JDK JavaDoc (docs/guide/security/CryptoSpec.html#AppB), and from the prime order groups published by NIST.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JPAKEPrimeOrderGroup` | `NIST_2048` From NIST. 2048-bit p, 224-bit q and 2048-bit g for 112-bit security.
    `static JPAKEPrimeOrderGroup` | `NIST_3072` From NIST. 3072-bit p, 256-bit q and 3072-bit g for 128-bit security.
    `static JPAKEPrimeOrderGroup` | `SUN_JCE_1024` From Sun's JDK JavaDoc (docs/guide/security/CryptoSpec.html#AppB) 1024-bit p, 160-bit q and 1024-bit g for 80-bit security.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAKEPrimeOrderGroups()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUN_JCE_1024

          public static final JPAKEPrimeOrderGroup SUN_JCE_1024

      From Sun's JDK JavaDoc (docs/guide/security/CryptoSpec.html#AppB) 1024-bit p, 160-bit q and 1024-bit g for 80-bit security.

    - #### NIST_2048

          public static final JPAKEPrimeOrderGroup NIST_2048

      From NIST. 2048-bit p, 224-bit q and 2048-bit g for 112-bit security.

    - #### NIST_3072

          public static final JPAKEPrimeOrderGroup NIST_3072

      From NIST. 3072-bit p, 256-bit q and 3072-bit g for 128-bit security.

  - ### Constructor Detail

    - #### JPAKEPrimeOrderGroups

          public JPAKEPrimeOrderGroups()